@import "../../../../assets/styles/main.scss";

.MyPlansPageDetailsContainer {
  color: getColorHex("black");
  height: calc(100% - 20px);
  // display: grid;
  // grid-template-rows: 49px 67px 1fr;
  gap: 24px;
  display: flex;
  flex-direction: column;

  .myPlanTopSection {
    display: flex;
    justify-content: space-between;
    h1 {
      @include inter700;
      font-size: 30px;
      line-height: 32px;
      letter-spacing: 0.2px;
      text-align: left;

      @include md {
        font-size: 24px;
        line-height: 28px;
      }
    }

    .myPlanDropDown {
      border: 1px solid #f47500;
      background: linear-gradient(90deg, #ffe8d3 0%, #fff8f1 100%);
      border-radius: 10px;
      padding: 10px;
      display: flex;
      gap: 10px;
      align-items: center;
      cursor: pointer;
      user-select: none;

      @include md {
        padding: 8px;
        gap: 8px;
        border-radius: 10px;
      }

      span {
        font-size: 14px;
        line-height: 20px;
      }
    }
  }

  .myPlanTopToggleSection {
    display: flex;
    width: 100%;
    border-radius: 56px;
    background-color: getColorHex("toggle_bg");
    gap: 5px;
    max-width: 462px;
    min-height: 67px;
    padding: 10px;
    position: relative;
    z-index: 1;

    @include lg {
      max-width: 394px;
      min-height: 50px;
      padding: 7px;
    }

    @include lg {
      padding: 5px;
    }
    @include sm {
      max-width: unset;
      min-height: 55px;
      padding: 5px;
    }

    @include tiny {
      border-radius: 35px;
      height: 50px;
    }

    span {
      @include inter700;
      font-size: 20px;
      line-height: 34.05px;
      text-align: center;

      @include lg {
        font-size: 15px;
      }
      @include md {
        font-size: 16px;
        line-height: 28.05px;
      }
      @include sm {
        font-size: 18px;
      }
      @include xs {
        font-size: 16px;
      }
      @include xxxs {
        font-size: 14px;
      }
      @include tiny {
        font-size: 12px;
      }
    }

    .option {
      flex: 1;
      display: flex;
      align-items: center;
      justify-content: center;
      @include inter700;
      font-size: 25px;
      text-align: center;
      cursor: pointer;
      transition: all 0.3s ease;
      border-radius: 35px;
      color: getColorHex("black");
      span {
        line-height: 27.24px;
        display: flex;
        flex-direction: row;
        gap: 10px;
        align-items: center;
      }
    }

    .selected {
      background-color: getColorHex("orange");
      color: getColorHex("white");
      cursor: auto;
    }

    .option:not(.selected) {
      opacity: 1;
      &:hover {
        opacity: 0.7;
      }
    }

    .option:hover {
      opacity: 1;
    }
  }

  .curentPlanUsedPlansList {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;

    .curentPlanUsedPlansListItem {
      background: linear-gradient(90deg, #29323c 0%, #485563 100%);
      display: flex;
      flex-direction: column;
      gap: 15px;
      border-radius: 20px;
      padding: 15px;
      position: relative;
      cursor: pointer;
      .planPopup {
        position: absolute;
        left: 0;
        top: 0;
        padding: 9px 19px;
        z-index: 9;
        border-radius: 20px 0px 20px 0px;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 2px;
        background: linear-gradient(
          180deg,
          #ed1c24 -1.53%,
          #ef3b37 0.42%,
          #f15d5d 3.92%,
          #f27076 6.47%,
          #f37780 7.76%,
          #f16567 10.92%,
          #ef4441 16.58%,
          #ee2a2a 20.69%,
          #ed1c24 22.81%,
          #d51c23 51.96%,
          #a71a1e 109.19%,
          #751113 169.25%
        );

        @include lg {
          padding: 7px 15px;
        }

        .planPopupTitle {
          p {
            color: getColorHex("white");
            @include inter500;
            font-size: 12px;
            line-height: 14.52px;
            text-align: center;
          }
        }
      }

      .backgroundSection {
        position: absolute;
        width: 195px;
        height: 109px;
        right: 0;
        top: 20%;
      }

      .planListGbDetailsItem {
        display: flex;
        flex-direction: row;
        gap: 24px;
        z-index: 2;

        @include lg {
          gap: 15px;
        }

        .planListCountryCard {
          padding: 10px;
          background-color: getColorHex("white");
          box-shadow: 0px 0px 17.2px 0px #a5a5a540;
          border-radius: 15px;
          width: 100%;
          max-width: 220px;
          height: 133px;
          position: relative;

          @include lg {
            max-width: 190px;
            height: 118px;
          }

          @include md {
            max-width: 170px;
            height: 110px;
            padding: 8px;
          }
          .planecoupan {
            position: absolute;
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/plan_discount_img.png);
            background-position: center;
            background-repeat: no-repeat;
            background-size: contain;
            width: 71px;
            height: 35px;
            top: 5px;
            right: 20px;

            p {
              color: getColorHex("white");
              text-align: center;
              text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
              font-size: 10px;
              @include inter400;
              line-height: 11px;
              margin-bottom: 8px;
              padding-top: 4px;
              left: 4%;
              position: relative;
              top: 0px;
            }
            h1 {
              color: getColorHex("white");
              text-align: center;
              text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
              font-size: 15px;
              @include inter700;
              line-height: 18px;
              position: relative;
              left: 6%;
            }
          }

          p {
            position: absolute;
            top: 18px;
            left: 20px;
            font-size: 9.5px;
            line-height: 12.94px;
            text-align: left;
          }

          &_image {
            height: 100%;
            width: 100%;
            border-radius: 10px;

            img {
              height: 100%;
              width: 100%;
              border-radius: 10px;
              object-fit: cover !important;
            }
          }
        }
        .planListDetailsMain {
          display: flex;
          flex-direction: row;
          gap: 24px;
          justify-content: space-between;
          width: 100%;
          @include lg {
            gap: 15px;
          }
          .planListPlanDetails {
            display: grid;
            grid-template-columns: 101.5px 101.5px auto;
            color: getColorHex("white");
            width: 100%;
            gap: 25px;
            align-items: center;

            @include lg {
              grid-template-columns: 85px 85px 1fr;
              gap: 15px;
            }

            .planListPlanDetailsCard {
              display: flex;
              flex-direction: column;
              gap: 16px;

              @include md {
                gap: 12px;
              }

              img,
              .iconsContainer {
                width: 40px;
                height: 40px;

                @include md {
                  width: 30px;
                  height: 30px;
                }

                svg {
                  width: 100%;
                  height: 100%;
                }
              }

              .planDetails {
                display: flex;
                flex-direction: column;
                p {
                  @include inter400;
                  font-size: 12px;
                  line-height: 14.52px;
                  text-align: left;
                  color: getColorHex("white");

                  @include md {
                    font-size: 10px;
                    line-height: 12.52px;
                  }
                }

                span {
                  @include inter700;
                  font-size: 12px;
                  line-height: 14.52px;
                  text-align: left;
                  color: getColorHex("white");

                  @include md {
                    font-size: 10px;
                    line-height: 12.52px;
                  }
                  del {
                    color: #ffd600;
                    font-size: 12px;
                    @include inter400;
                    @include lg {
                      font-size: 10px;
                    }
                  }
                }
              }
            }

            .unUsedtopUpButton {
              width: 100%;
              padding: 6.5px 0;
              display: flex;
              gap: 15px;
              flex-direction: column;

              @include lg {
                gap: 10px;
              }

              @include lg {
                gap: 8px;
              }

              button {
                @include transition-3s;
                padding: 5.5px;
                font-size: 12px;
                line-height: 14.52px;
                cursor: pointer;
                border: none;
                text-align: center;
                border-radius: 50px;
                display: flex;
                flex-direction: row;
                gap: 5px;
                align-items: center;
                justify-content: center;

                @include md {
                  padding: 4px;
                  font-size: 10px;
                  line-height: 12.52px;
                }

                span {
                  padding-top: 1px;
                }

                &.blueButton {
                  border: 1px solid getColorHex("sky_blue");
                  background: getColorHex("sky_blue");
                  color: getColorHex("white");
                  cursor: default;

                  // &:hover {
                  //   border: 1px solid getColorHex("sky_blue", 0.8);
                  //   background: getColorHex("sky_blue", 0.8);
                  //   color: getColorHex("white", 0.8);
                  // }
                }

                &.yellowButton {
                  border: 1px solid getColorHex("yellow");
                  background: getColorHex("yellow");
                  color: getColorHex("black");
                  cursor: default;

                  // &:hover {
                  //   border: 1px solid getColorHex("yellow", 0.8);
                  //   background: getColorHex("yellow", 0.8);
                  //   color: getColorHex("black", 0.8);
                  // }
                }

                &.orangeButton {
                  border: 1px solid getColorHex("orange");
                  background: getColorHex("orange");
                  color: getColorHex("white");

                  img{
                    height: 15px;
                    width: 15px;
                  }
                  .whiteImage{
                    display: block;
                  }
                  .OrangeImage{
                    display: none;
                  }

                  &:hover {
                    border: 1px solid getColorHex("orange");
                    background: getColorHex("white");
                    color: getColorHex("orange");
                    .whiteImage{
                      display: none;
                    }
                    .OrangeImage{
                      display: block;
                    }
                  }
                }

                &.plainButton {
                  border: 1px solid #ffffff;
                  background: #0000004f;
                  color: getColorHex("white");

                  &:hover {
                    background-color: getColorHex("white");
                    color: getColorHex("orange");
                  }
                }

                &.redButton {
                  border: 1px solid getColorHex("dark_red");
                  background: getColorHex("dark_red");
                  color: getColorHex("white");
                  cursor: default;

                  // &:hover {
                  //   border: 1px solid getColorHex("dark_red", 0.8);
                  //   background: getColorHex("dark_red", 0.8);
                  // }
                }
              }
            }
          }
        }
      }
    }

    .inUseSection {
      display: grid;
      grid-template-columns: 300px 1fr;
      gap: 10px;

      @include lg {
        grid-template-columns: 202px 1fr;
      }

      .inUseSectionLeft {
        background: #0000009c;
        border: 1px solid #0000004a;
        border-radius: 6px;
        padding: 20px;
        color: getColorHex("white");
        @include vertical_align_center;

        @include md {
          padding: 16px;
          gap: 20px;
        }

        .dataUsage {
          display: flex;
          flex-direction: column;
          gap: 13px;

          @include md {
            gap: 10px;
          }

          h4 {
            @include inter400;
            font-size: 12px;
            line-height: 14.52px;
            text-align: left;
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 3px;

            @include md {
              font-size: 10px;
              line-height: 12.52px;
            }
          }

          p {
            @include inter400;
            font-size: 7px;
            line-height: 7.49px;
            text-align: left;

            color: getColorHex("white");

            span {
              @include inter700;
              font-size: 18px;
              line-height: 19.26px;
              text-align: left;
            }
          }

          b {
            font-size: 12px;
            line-height: 12.84px;
            text-align: left;
          }
        }
      }

      .inUseSectionRight {
        background: #0000009c;
        border: 1px solid #0000004a;
        border-radius: 6px;
        color: getColorHex("white");
        display: grid;
        grid-template-columns: 73px auto;
        gap: 40px;
        padding: 10px 29px;

        @include md {
          grid-template-columns: 60px 1fr;
          padding: 8px 20px;
          gap: 20px;
        }

        .progressBar {
          height: 100%;
          width: 100%;

          @include md {
            height: 60px;
            width: 60px;
          }
        }

        .usedAndRemaingSectoion {
          display: grid;
          grid-template-columns: repeat(2, 1fr);
          gap: 10px;
          place-items: center;

          .usedSection {
            background: getColorHex("red", 0.26);
            border: 1px solid getColorHex("red");
            @include vertical_align_center;
            border-radius: 9px;
            height: fit-content;
            padding: 8.5px;
            width: 100%;

            @include md {
              padding: 7px;
            }

            &.greenBox {
              background: getColorHex("green", 0.26);
              border: 1px solid getColorHex("green");
            }

            p {
              color: getColorHex("white");
              @include inter700;
              font-size: 10px;
              line-height: 12.1px;
              text-align: center;

              @include md {
                font-size: 8px;
                line-height: 10.1px;
              }

              span {
                @include inter500;
                font-size: 7px;
                line-height: 8.47px;
                text-align: center;

                @include md {
                  font-size: 6px;
                  line-height: 7.47px;
                }
              }
            }
          }
        }
      }
    }
  }
}

.progressbarSection {
  height: 100px;
  width: 100px;

  svg {
    height: 100px;
    width: 100px;
  }
}
